Welcome to the Cumulus Support forum.

Latest Cumulus MX release 3.10.5 (build 3122) - 06 April 2021 (please see announcement regarding releases since 3.5.0)
Legacy Cumulus 1 release v1.9.4 (build 1099) - 28 November 2014 (a patch is available for 1.9.4 build 1099 that extends the date range of drop-down menus to 2030)

Download the Software (Cumulus MX / Cumulus 1 and other related items) from the Wiki

For New Users

Discussion of the Cumulusutils tool and website generator.

Moderator: HansR

reimundko
Posts: 34
Joined: Fri 05 Aug 2016 5:23 pm
Weather Station: WS1080
Operating System: Windows 10
Location: Germany

Re: For New Users

Post by reimundko »

does the Cumulusutil also work with the 3.9.2 (build 3097) Windows version? Don't get it started

Unbehandelte Ausnahme: System.IO.FileLoadException: Die Datei oder Assembly "Renci.SshNet, Version=2016.1.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106" oder eine Abhängigkeit davon wurde nicht gefunden. Die gefundene Manifestdefinition der Assembly stimmt nicht mit dem Assemblyverweis überein. (Ausnahme von HRESULT: 0x80131040)
bei CumulusUtils.InetSupport.Dispose(Boolean disposing)
bei CumulusUtils.InetSupport.Finalize()

User avatar
HansR
Posts: 2005
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: For New Users

Post by HansR »

I am currently not at mmy computer so difficult to elaborate.
I'll answer tomorrow.
Hans

https://meteo-wagenborgen.nl
Cumulus build 3122 ● Davis Vantage Pro 2+ ● RPi 3B+ ● Raspbian 5.10.17-v7+ ● Mono 5.18.0.240

User avatar
PaulMy
Posts: 2583
Joined: Sun 28 Sep 2008 11:54 pm
Weather Station: Davis VP2+ Cumulus1 / CummulusMX
Operating System: Windows8 / Windows10
Location: Komoka, ON Canada
Contact:

Re: For New Users

Post by PaulMy »

I can reply that yes it does work with CumulusMX v3.9.2 b3097 on Windows10 www.komokaweather.com/cumulusmxnew/index.html.
Hans will be your Cumulusutils saviour.

Enjoy,
Paul

User avatar
HansR
Posts: 2005
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: For New Users

Post by HansR »

@reimundko:
Indeed what Paul says: CumulusUtils works fine with build 3097 (and also with 3098 for that matter, actually with all versions of Cumulus although the real old versions may have issues).

With regard to the error you report the following: it says that it can't find a library. That means there are either errors in the install or in the way you start CumulusUtils.
  1. Make sure the bin directory from the distribution is copied completely to the utils/bin directory under the CumulusMX directory.
  2. Go to the CumulusMX directory (making it the working directory).
  3. Start CumulusUtils by giving the command:

    Code: Select all

    utils/bin/cumulusutils.exe [work]
    where work stands for the parameter defining what modules you want to use.
  4. When the command ends there MUST be a log file, could you send it to me. If not, send me a screenshot of the console screen in which you give the command. Also if you continue to have problems, please send me the cumulusutils.ini
Let me know how you get on.
Hans

https://meteo-wagenborgen.nl
Cumulus build 3122 ● Davis Vantage Pro 2+ ● RPi 3B+ ● Raspbian 5.10.17-v7+ ● Mono 5.18.0.240

liddelljs
Posts: 96
Joined: Sat 31 Oct 2015 10:22 pm
Weather Station: Ecowitt GW1001
Operating System: Linux (RPi 2)
Location: Perth Western Australia

Re: For New Users

Post by liddelljs »

Hi all,
I have been tearing my hair out trying to install and run cumulusutils to produce the fwi.txt file that I want to include as a page on my CMX standard webpage site. As far as I can tell I've installed the files correctly under the CMX folder (in a utils directory) but when I run the command ./utils/bin/cumulusutils.exe pwsFWI from the CMX directory, it seems to run, creates a (very small) .ini file and then crashes. Have attached the log file and hoping someone can help me interpret. I thought there might have been a problem with mono so updated to latest version 6.12. Only other thing I noticed was a bunch of errors when I installed lshw. I'm running CMX version 3098 on raspberry pi. I did find I had to chmod +x the exe file to get it to execute and not sure if this is normal or not. I tried removing and reinstalling cumulusutils but got the same result.

Cheers
Steve
Screenshot 2020-12-21 170539.png
cumulusutils.ini
2012211648cumulusutils.log
You do not have the required permissions to view the files attached to this post.

User avatar
HansR
Posts: 2005
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: For New Users

Post by HansR »

Hi Steve,

I answer your last question first:
liddelljs wrote:
Mon 21 Dec 2020 9:19 am
I did find I had to chmod +x the exe file to get it to execute and not sure if this is normal or not. I tried removing and reinstalling cumulusutils but got the same result.
Yes you must give the exe file the exec permission to execute it. That is normal. You probably had to do that with CMX as well when you made your first copy of CMX to the RPi.
liddelljs wrote:
Mon 21 Dec 2020 9:19 am
I have been tearing my hair out trying to install and run cumulusutils to produce the fwi.txt file that I want to include as a page on my CMX standard webpage site. As far as I can tell I've installed the files correctly under the CMX folder (in a utils directory) but when I run the command ./utils/bin/cumulusutils.exe pwsFWI from the CMX directory, it seems to run, creates a (very small) .ini file and then crashes. Have attached the log file and hoping someone can help me interpret. I thought there might have been a problem with mono so updated to latest version 6.12. Only other thing I noticed was a bunch of errors when I installed lshw. I'm running CMX version 3098 on raspberry pi.
You do run the correct version of Mono (> 5) but I am not sure about what you run as Linux version. There are several things which surprise me here:
  1. It does find a Cumulus.ini file but inside the ini there is no FTP site defined (It only sees "."). If you did not define a site to transfer the files to CumulusUtils won't work: it is meant as a tool in the creation of websites
  2. I did see your two weather sites in the signature so how do you handle those? Do you have two instances of CMX running (or two different machines?).
  3. lshw is a requirement if you want to run the "sysinfo" module. It should install without a problem on the RPI but you seem to have multiple issues there which seem to be related to a corruption of the installation database: dependencies are not correctly registered and it takes the wrong versions. It starts dealing with certificates, probably to the package tool. That is beyond me so I am not sure I can help here. My advise would be to make a clean (Raspbian?) install.
I suggest we look at the above two points first before we go any further: so how do you want to use CumulusUtils and could you supply more info on the Linux version you have installed?
Hans

https://meteo-wagenborgen.nl
Cumulus build 3122 ● Davis Vantage Pro 2+ ● RPi 3B+ ● Raspbian 5.10.17-v7+ ● Mono 5.18.0.240

liddelljs
Posts: 96
Joined: Sat 31 Oct 2015 10:22 pm
Weather Station: Ecowitt GW1001
Operating System: Linux (RPi 2)
Location: Perth Western Australia

Re: For New Users

Post by liddelljs »

Hi Hans,
Many thanks for the quick response. I haven't defined an ftp site as my webserver runs on the same raspberry pi running CMX so I haven't had a need to define ftp. I'll give this a go and report back. certainly a lot of the errors seem to relate to ftp so this is probably it. I am running Buster.
In terms of the two websites, they are running on different raspberry pi's. Each pi runs it's own webserver in addition to running CMX

Cheers
Steve

liddelljs
Posts: 96
Joined: Sat 31 Oct 2015 10:22 pm
Weather Station: Ecowitt GW1001
Operating System: Linux (RPi 2)
Location: Perth Western Australia

Re: For New Users

Post by liddelljs »

Hi Hans,
Just to let you know that the lack of ftp was the problem. Setup the ftp details and folder on the pi and all is good. Daily cron job to execute at end of day rollover. You've done a great job with this FWI. My only observation on the table on my webpage is that is doesn't scale down very well on the smaller tablet screens. I've checked a few other websites and they don't seem to have this issue. Any thoughts appreciated. I've attached a screenshot of the teplate file for the webpage (adapted from @phil23).

Cheers
Steve

download/file.php?mode=view&id=19380
Screenshot_20201222-110909.png
You do not have the required permissions to view the files attached to this post.

User avatar
HansR
Posts: 2005
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: For New Users

Post by HansR »

@liddelljs : OK, well done :clap:
I think I know what the issue is: could you remove or comment out the line with the 750betel_datasummary.css?
If that does not work, could you post the file physically and not as a screenshot so I could do some testing myself?

I think that if you use the original template file (so, look at the original index file for example) the problem will be gone. Most users using the standard template have the correct width of the table (which is set to 100% of the available width and that apparently is too small in your case). The 750betel-line I think should only be used on the page with the beteljuice dayfile reader. But I can be mistaken in which case it would be nice if @beteljuice himself could shed a light on this.

And btw: don't forget to subscribe to the release thread ;)
Hans

https://meteo-wagenborgen.nl
Cumulus build 3122 ● Davis Vantage Pro 2+ ● RPi 3B+ ● Raspbian 5.10.17-v7+ ● Mono 5.18.0.240

User avatar
beteljuice
Posts: 3179
Joined: Tue 09 Dec 2008 1:37 pm
Weather Station: None !
Operating System: W10 - Threadripper 16core, etc
Location: Dudley, West Midlands, UK

Re: For New Users

Post by beteljuice »

750betel_datasummary.css has nothing whatsoever to do with that page :shock:

The problem with the 'old' style templates is the amount of real-estate available ...

Code: Select all

/* part weatherstyle.css */
#content {
	margin-top: 5%;
	margin-right: 20%;
	margin-bottom: 5%;
	margin-left: 20%;
}
NOTE right and left margins, rather than the content width being declared, it is 60% of the browser window.

For this page (If not all)

add eg.

Code: Select all

<style>
#content {
    margin-right: 5%;
    margin-left: 5%;
}
</style>
Or even totally redefine it

Code: Select all

<style>
#content {
    margin: auto;
    margin-top: 5%;
    margin-bottom: 5%;
    width: 90%; /* like it sounds */
}
</style>
[code]
Last edited by beteljuice on Tue 22 Dec 2020 10:42 am, edited 2 times in total.
Image
......................Imagine, what you will KNOW tomorrow !

liddelljs
Posts: 96
Joined: Sat 31 Oct 2015 10:22 pm
Weather Station: Ecowitt GW1001
Operating System: Linux (RPi 2)
Location: Perth Western Australia

Re: For New Users

Post by liddelljs »

Hi Hans,
Thanks for the feedback. Commented out the line as you suggested but doesn't seem to have made any difference. I did get this php file from @phil23. Phil had hardcoded his pws data and so I removed that and replaced with CMX webtags to create the template file. Left everything else the same and the 750betel.css line was not commented out in his file and his fwi table displays fine on my tablet and phone. Have attached the template file. I can always PM @phil23 if not sure.

Thanks for your help.

Cheers
Steve
fwiT.zip
You do not have the required permissions to view the files attached to this post.

liddelljs
Posts: 96
Joined: Sat 31 Oct 2015 10:22 pm
Weather Station: Ecowitt GW1001
Operating System: Linux (RPi 2)
Location: Perth Western Australia

Re: For New Users

Post by liddelljs »

Hi @beteljuice,
Many thanks for the guidance. Did the trick.

Cheers
Steve

User avatar
HansR
Posts: 2005
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: For New Users

Post by HansR »

@beteljuice: thanks.
@liddelljs: OK, problem solved then :D (though it still surprises me that Phil's site does not have that issue).
Hans

https://meteo-wagenborgen.nl
Cumulus build 3122 ● Davis Vantage Pro 2+ ● RPi 3B+ ● Raspbian 5.10.17-v7+ ● Mono 5.18.0.240

User avatar
HansR
Posts: 2005
Joined: Sat 20 Oct 2012 6:53 am
Weather Station: Davis Vantage Pro 2+
Operating System: Raspbian GNU/Linux 10 (Buster)
Location: Wagenborgen (NL)
Contact:

Re: For New Users

Post by HansR »

@liddelljs: and btw: that Jandokot station seems to have either an overestimation (in the prediction section) of the wind or an under-measurement of it? If it is well below the 10m do you have a wind correction in CMX? Otherwise either prediction and/or the calculation will differ a lot as you can see in the initial pwsFWI table.
Hans

https://meteo-wagenborgen.nl
Cumulus build 3122 ● Davis Vantage Pro 2+ ● RPi 3B+ ● Raspbian 5.10.17-v7+ ● Mono 5.18.0.240

liddelljs
Posts: 96
Joined: Sat 31 Oct 2015 10:22 pm
Weather Station: Ecowitt GW1001
Operating System: Linux (RPi 2)
Location: Perth Western Australia

Re: For New Users

Post by liddelljs »

Hi Hans,
Thanks for the observation. Station is pretty well located on top of TV antenna although may be impacted somewhat but surrounding trees. I've never done a windspeed check to be honest but perhaps I should. I'll monitor and see if the difference remains. I'm assuming the predicted wind comes from the yourweather url for my chosen location. Is that correct?

Cheers
Steve

Post Reply